Page MenuHomePhabricator

Instrument the use of Wikipedia Preview in the Editor menu by Site owners
Closed, ResolvedPublic

Assigned To
Authored By
PWaigi-WMF
Jan 16 2024, 5:05 PM
Referenced Files
F42421415: Screenshot 2024-03-06 at 1.27.43 PM.png
Mar 6 2024, 6:28 PM
F42399201: 2024-03-05_08-36-13.png
Mar 5 2024, 4:46 PM
F42399196: 2024-03-05_08-36-44.png
Mar 5 2024, 4:46 PM
F42399192: 2024-03-05_08-37-03.png
Mar 5 2024, 4:46 PM
F42150354: 2024-02-26_08-12-04.png
Feb 26 2024, 4:17 PM
F42150349: 2024-02-26_08-10-28.png
Feb 26 2024, 4:17 PM
F42150287: 2024-02-23_14-47-55.png
Feb 26 2024, 4:17 PM

Description

Background

The Inuka team would like to know how many site owners actually use the Wikipedia Preview option on the editing tool bar when adding wikipedia links on their sites/ blogs. This would help us understand whether:

  • having it easily discoverable by changing its position on the tool bar positively influences continuous use.
  • it positively affects the overall adoption and retention of the tool upon installation.

Exception: this would only track site owners who add links using the editor and not those who add them as hyperlinks.

Description/User story

As a product team,
we want to have a better understanding of how the Wikipedia option is used by site owners,
so that we can better monitor the feature use on sites.

Acceptance Criteria
Test Scenarios
Open questions

QA Results - WordPress

Event Timeline

PWaigi-WMF triaged this task as Medium priority.Feb 7 2024, 4:11 PM
PWaigi-WMF updated the task description. (Show Details)
PWaigi-WMF moved this task from Definition to Ready for Dev on the Inuka-Team (Kanban) board.

@SBisson Search urls do show the wprov parameters with the value wpwpp as seen in the screenshots below. Before we can move this to design sign-off, we are pending the results from the data analyst for part 2.

Status: ❓Pending Data analyst
Environment: WordPress 6.4.3; Wikipedia Preview 1.12
OS: macOS Sonoma 14.2.1
Browser: Chrome 121
Skins. N/A
Device: MBA M2
Emulated Device:: n/a
Test Links:
http://dev-test.local/wp-admin/post.php?post=6&action=edit

❌AC1: https://phabricator.wikimedia.org/T355162 - wprov parameter with the value wpw2pp, not wpwpp.

2024-02-23_14-47-55.png (1×3 px, 415 KB)
2024-02-26_08-10-28.png (1×2 px, 348 KB)
2024-02-26_08-12-04.png (1×2 px, 346 KB)

❓AC2: https://phabricator.wikimedia.org/T355162- webrequests analytics table those url are present

@SBisson Pending Data analyst for the 2nd part but wprov parameters with a value of wpwpp confirmed as seen in the screenshots when you just searched in Wikipedia preview. I will move this to design sign-off once the data analyst has confirmed on their side with the URLs are present.

UPDATE: Webrequest data in analytics table has been confirmed- https://phabricator.wikimedia.org/T355162#9608326. This will be moved to Design sign-off. Thanks for all your work!

Status: ✅ PASS
Environment: WordPress 6.4.3; Wikipedia Preview 1.12
OS: macOS Sonoma 14.2.1
Browser: Chrome 122
Skins. N/A
Device: MBA M2
Emulated Device:: n/a
Test Links:
http://dev-test.local/wp-admin/post.php?post=6&action=edit

✅AC1: https://phabricator.wikimedia.org/T355162 - wprov parameter with the value wpwpp when searching not selecting.

2024-03-05_08-37-03.png (1×3 px, 361 KB)
2024-03-05_08-36-44.png (1×3 px, 354 KB)
2024-03-05_08-36-13.png (1×3 px, 360 KB)

✅AC2: https://phabricator.wikimedia.org/T355162- As seen from below https://phabricator.wikimedia.org/T355162#9608326

Confirmed the webrequest data in analytics table:

SELECT 
   *
FROM
    wmf.webrequest
WHERE         
    agent_type = 'user'
    AND webrequest_source = 'text' 
    AND year= 2024 AND month = 3 AND day = 5 
    AND x_analytics_map['wprov'] IN ('wpwpp')

Screenshot 2024-03-06 at 1.27.43 PM.png (1×2 px, 305 KB)